<!--  -->
<hr>
<p>array1</p>
<hr>
<div *ngFor="let item of arr1; let i=index">
    <p>La posicion del arreglo en {{i}} es {{item}}</p>
</div>

<hr>
<p>array2</p>
<hr>
<div *ngFor="let item of arr2; let i=index">
    <p>La posicion del arreglo en {{i}} es {{item}}</p>
</div>
<hr>

<!--  -->
<p>objeto1</p>
<hr>
<p>el objeto es {{obj1.hambre}} </p>
<p>el objeto es {{obj1.sed}} </p>
<p>el objeto es {{obj1.sueno}} </p>

<hr>
<p>objeto2</p>
<hr>
<p>el objeto es {{obj2.hambre}} </p>
<p>el objeto es {{obj2.sed}} </p>
<p>el objeto es {{obj2.sueno}} </p>

<!--  -->
<hr>
<p>array de objetos</p>
<hr>
<div *ngFor="let item of arrobj;">
    <p>item no. {{item.compu}} </p>
    <p>edo. del item {{item.edo}} </p>
    <p>marca del item {{item.marca}} </p>
</div>

<!--  -->
<hr>
<p>ngIF1</p>
<ng-container *ngIf="color == 'rojo'; else elseTemplate">
    <p style="background-color: red;">Es de dia XD</p>
</ng-container>
<ng-template #elseTemplate>
    <p style="background-color: blue;">Es de noche</p>
</ng-template>

<!--  -->
<hr>
<p>ngIF2</p>
<ng-container *ngIf="color == 'azul'; else elseTemplate">
    <p style="background-color: red;">Es de dia XD</p>
</ng-container>
<ng-template #elseTemplate>
    <p style="background-color: blue;">Es de noche</p>
</ng-template>

<hr>
<p>ngIF2</p>
<ng-container *ngIf="numero == '1'; else elseTemplate">
    <p style="background-color: rgb(218, 110, 21);">Es de dia XD</p>
</ng-container>
<ng-template #elseTemplate>
    <p style="background-color: rgb(51, 255, 0);">Es de noche</p>
</ng-template>

<hr>
<p>ngIF2</p>
<ng-container *ngIf="numero == '0'; else elseTemplate">
    <p style="background-color: rgb(37, 209, 54);">Es de dia XD</p>
</ng-container>
<ng-template #elseTemplate>
    <p style="background-color: rgb(0, 255, 255);">Es de noche</p>
</ng-template>

<hr>
<p>ngIF2</p>
<ng-container *ngIf="color == 'a'; else elseTemplate">
    <p style="background-color: red;">Es de dia XD</p>
</ng-container>
<ng-template #elseTemplate>
    <p style="background-color: blue;">Es de noche</p>
</ng-template>